function [mean_map, variance_map] = getMap(J,sigma,mu,ini_m, error_tolerance)
%GETFIRSTMAP Summary of this function goes here
%   Detailed explanation goes 

[H,deltaM]=solveDeltaM(J,sigma,mu,ini_m);
error=sum(deltaM.^2);

while error>error_tolerance
    ini_m=ini_m+deltaM;
    [H, deltaM]=solveDeltaM(J,sigma,mu,ini_m);   
    error=sum(deltaM.^2);
end

mean_map=ini_m;
variance_map=inv(H);

end

