#pragma once

#include <thd_mapping/goal_finding_algorithm.hpp>

namespace thd_mapping
{
    class MaxVarianceGoalFinder : public GoalFindingAlgorithm
    {
    public:
        MaxVarianceGoalFinder (thd_mapping::GridMap& variance, thd_mapping::GridMap& occupancy);
        ~MaxVarianceGoalFinder();
        
        const Position getGoal();
        void setPosition(Position pos)
        {
            _position = pos;
        }
    private:
        Position _position;
    };
}
