#pragma once
#include <thd_mapping/gdm_algorithm.h>

namespace thd_mapping {

class WeightedAverageMapper : public GDMAlgorithm
{
	std::vector<float> mKernel;
	int mKernelSize;
public:

	WeightedAverageMapper(GridMap&& grid);

  virtual void addDataPoint(const DataPoint& dataPoint);
  virtual void addDataPoints(const std::vector<DataPoint>& dataPoints);

	static std::vector<float> createKernel(int kernelSize);

  virtual ~WeightedAverageMapper() {}
};

}
