PoseStampedView = function (options) {
    options = options || {};

    that = this;
    this.alpha = options.alpha || 1.0;
    this.hidden = options.hidden || false;
    this.image = new Image();
    this.image.src = options.imageSrc || "./img/Industry-Sensor-icon.png";

    this.draw = function (context, offset, scale, resolution) {
        if (!this.message || this.hidden)
            return

        this.x = this.message.pose.position.x / resolution * scale - this.image.width * 0.5;
        this.y = -this.message.pose.position.y / resolution * scale - this.image.height * 0.5;

        context.drawImage(this.image, offset.x + this.x, offset.y + this.y);
    }
};
