#include <thd_mapping/max_variance_goal_finder.hpp>
namespace thd_mapping
{
    MaxVarianceGoalFinder::MaxVarianceGoalFinder (thd_mapping::GridMap& grid, thd_mapping::GridMap &  occupancy) : GoalFindingAlgorithm(grid, occupancy)
    {
        //noop
    }
    MaxVarianceGoalFinder::~MaxVarianceGoalFinder()
    {
        // nothing to destruct
    }

    const Position MaxVarianceGoalFinder::getGoal()
    {

        thd_mapping::OctRunner::getInstance().prepare("exploreMaxVariance", "matlab");
        thd_mapping::OctRunner::getInstance().setParams({});

        thd_mapping::OctRunner::getInstance().call(this->_grid, this->_occupancy,  _position, _grid.dim);
        Indices _pos = thd_mapping::OctRunner::getInstance().getResult<Position>(0);

        _pos = _grid.toPosition(_pos);
        thd_mapping::OctRunner::getInstance().done("..");
        return _pos;
    }
}
